This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 785730 - SELinux is preventing /usr/bin/polipo from 'name_connect' accesses on the None .
SELinux is preventing /usr/bin/polipo from 'name_connect' accesses on the None .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e080230f1f1567f76c6f6ce0f52...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 08:38 EST by Wang Bin
Modified: 2012-02-02 12:25 EST (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-75.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-02 12:25:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: description (2.12 KB, text/plain)
2012-01-30 08:38 EST, Wang Bin
no flags Details

  None (edit)
Description Wang Bin 2012-01-30 08:38:18 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.2-1.fc16.x86_64
reason:         SELinux is preventing /usr/bin/polipo from 'name_connect' accesses on the None .
time:           2012年01月30日 星期一 21时31分11秒

description:    Binary file, 2174 bytes
Comment 1 Wang Bin 2012-01-30 08:38:21 EST
Created attachment 558330 [details]
File: description
Comment 2 Dominick Grift 2012-01-30 08:48:07 EST
To what service is polipo trying to connect to? (What is listening on TCP 8982?)
Comment 3 Wang Bin 2012-01-30 08:55:34 EST
It's a ssh proxy, in my /etc/polipo/config:

socksParentProxy=127.0.0.1:8982
socksProxyType=socks5
Comment 4 Dominick Grift 2012-01-30 09:04:47 EST
Can you try and use port tcp 8953?

It is a DNS port but polipo should be allowed to connect to it as far as i can tell.

Is there any particular reason why you are trying to use TCP 8982?
Comment 5 Dominick Grift 2012-01-30 09:20:10 EST
I guess we could build in a boolean that allows polipo to connect to any unreserved TCP port.
Comment 6 Miroslav Grepl 2012-02-01 04:43:46 EST
I agree. Added

polipo_connect_all_unreserved

boolean
Comment 7 Fedora Update System 2012-02-01 08:19:21 EST
selinux-policy-3.10.0-75.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-75.fc16
Comment 8 Fedora Update System 2012-02-01 14:26:29 EST
Package selinux-policy-3.10.0-75.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-75.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1133/selinux-policy-3.10.0-75.fc16
then log in and leave karma (feedback).
Comment 9 Wang Bin 2012-02-01 23:24:59 EST
Tested, no alert show up again, thanks.
Comment 10 Miroslav Grepl 2012-02-02 02:38:41 EST
Could you update karma?
Comment 11 Fedora Update System 2012-02-02 12:25:26 EST
selinux-policy-3.10.0-75.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.